ruby-shadow-1.4.1-8.PU_IAS.5.i386.rpm


Advertisement

Description

ruby-shadow - Ruby bindings for shadow password access

Distribution: CentOS 5
Repository: PUIAS Unsupported i386
Package name: ruby-shadow
Package version: 1.4.1
Package release: 8.PU_IAS.5
Package architecture: i386
Package type: rpm
Installed size: 12.92 KB
Download size: 9.47 KB
Official Mirror: springdale.math.ias.edu
Ruby bindings for shadow password access

Provides

  • ruby(shadow) = 1.4.1-8.PU_IAS.5
  • ruby-shadow = 1.4.1-8.PU_IAS.5
  • shadow.so

    Install Howto

    1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
      [puias-unsupported]
      name=PUIAS Unsupported
      baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
      enabled=1
      gpgcheck=0
      
    2. Install ruby-shadow rpm package:
      # yum install ruby-shadow

    Files

    • /usr/lib/ruby/site_ruby/1.8/i386-linux/shadow.so
    • /usr/share/doc/ruby-shadow-1.4.1/HISTORY
    • /usr/share/doc/ruby-shadow-1.4.1/README
    • /usr/share/doc/ruby-shadow-1.4.1/README.ja

    Changelog

    2008-11-13 - Bryan Kearney <bkearney@redhat.com> - 1.4.1-8 Modify the ruby build versions to get it to build on RHEL4

    2007-07-18 - David Lutterkort <dlutter@redhat.com> - 1.4.1-7 - Remove dependency on ruby{,io}.h from depend - makes builds on RHEL4 fail, and doesn't provide anything for proper rpm builds

    2007-05-25 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-6 Removed _smp_mflags from install since it was causing problems

    2007-05-18 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-5 Removed the ruby abi macro since it doesn't work in mock

    2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-4 Cleaner ruby abi macro

    2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-3 Fixed struct defines (0 != NULL in C) Calculate ruby abi at runtime instead of a hard coded version

    2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-2 Converted README.euc to utf8 README.ja Patched extconf.rb to use provided CFLAGS

    2007-05-14 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-1 Initial rpm release

    Advertisement
    Advertisement